Bug 16388 - Move option to download report into reports toolbar
Summary: Move option to download report into reports toolbar
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-29 02:46 UTC by Aleisha Amohia
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16388: Move option to download report into reports toolbar (4.28 KB, patch)
2016-04-29 02:49 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16388: Move option to download report into reports toolbar (4.41 KB, patch)
2016-04-29 13:09 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16388: Move option to download report into reports toolbar (4.11 KB, patch)
2016-05-12 04:25 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16388: Move option to download report into reports toolbar (4.22 KB, patch)
2016-05-12 12:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16388: Move option to download report into reports toolbar (4.23 KB, patch)
2016-05-13 14:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16388: Use existing 'execute' parameter instead of creating a new one (2.22 KB, patch)
2016-05-13 14:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-04-29 02:46:44 UTC

    
Comment 1 Aleisha Amohia 2016-04-29 02:49:14 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-04-29 13:09:15 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-04-29 15:21:59 UTC
Aleisha, should not we have a group of buttons under the 'Download' button with the 3 choices instead?
Comment 4 Aleisha Amohia 2016-05-12 04:25:10 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2016-05-12 12:04:53 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-05-13 14:30:28 UTC
Created attachment 51473 [details] [review]
Bug 16388: Move option to download report into reports toolbar

To test:

1) Create a new SQL report or edit a report
2) Ensure that the download option does NOT show in the toolbar
3) Save and run the report
4) Confirm that download option DOES show in toolbar as a dropdown with
   the 3 options (csv, tab and ods)
5) Confirm that downloading all 3 file types works as expected

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2016-05-13 14:30:33 UTC
Created attachment 51474 [details] [review]
Bug 16388: Use existing 'execute' parameter instead of creating a new one

An existing 'execute' parameter is already passed to the template when
we need to display the 'Download' button, so let's use it instead of
creating a new one.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Brendan Gallagher 2016-06-03 08:10:18 UTC
Pushed to Master - Should be in the November 2016 Release. Thanks
Comment 9 Frédéric Demians 2016-06-15 07:34:44 UTC
Pushed in 16.05. Will be in 16.05.01.